Index: Tensile-rocm-4.3.0/Tensile/Source/client/CMakeLists.txt
===================================================================
--- Tensile-rocm-4.3.0.orig/Tensile/Source/client/CMakeLists.txt
+++ Tensile-rocm-4.3.0/Tensile/Source/client/CMakeLists.txt
@@ -50,3 +50,5 @@ endif()
 foreach(arch IN LISTS TENSILE_GPU_ARCHS)
     target_link_libraries(tensile_client PRIVATE "--amdgpu-target=${arch}")
 endforeach(arch)
+
+target_link_libraries(tensile_client PRIVATE LLVMSupport)
Index: Tensile-rocm-4.3.0/Tensile/Source/lib/CMakeLists.txt
===================================================================
--- Tensile-rocm-4.3.0.orig/Tensile/Source/lib/CMakeLists.txt
+++ Tensile-rocm-4.3.0/Tensile/Source/lib/CMakeLists.txt
@@ -48,7 +48,7 @@ set(tensile_sources  ${tensile_sources}
     )
 
 if(TENSILE_USE_LLVM)
-    find_package(LLVM 13.0 QUIET CONFIG)
+    find_package(LLVM PATHS @GENTOO_PORTAGE_EPREFIX@/usr/lib/llvm/roc QUIET CONFIG)
     if(NOT LLVM_FOUND)
         find_package(LLVM 12.0 QUIET CONFIG)
         if(NOT LLVM_FOUND)
Index: Tensile-rocm-4.3.0/Tensile/Common.py
===================================================================
--- Tensile-rocm-4.3.0.orig/Tensile/Common.py
+++ Tensile-rocm-4.3.0/Tensile/Common.py
@@ -1667,7 +1667,7 @@ def assignGlobalParameters( config ):
     else:
       print2(" %24s: %8s (unspecified)" % (key, defaultValue))
 
-  globalParameters["ROCmPath"] = "/opt/rocm"
+  globalParameters["ROCmPath"] = "@GENTOO_PORTAGE_EPREFIX@/usr"
   if "ROCM_PATH" in os.environ:
     globalParameters["ROCmPath"] = os.environ.get("ROCM_PATH")
   if "TENSILE_ROCM_PATH" in os.environ:
Index: Tensile-rocm-4.3.0/Tensile/ClientWriter.py
===================================================================
--- Tensile-rocm-4.3.0.orig/Tensile/ClientWriter.py
+++ Tensile-rocm-4.3.0/Tensile/ClientWriter.py
@@ -284,7 +284,7 @@ def getBuildNewClientLibraryScript(build
   import io
   runScriptFile = io.StringIO()
 
-  callCreateLibraryCmd = globalParameters["ScriptPath"] + "/bin/TensileCreateLibrary"
+  callCreateLibraryCmd = "TensileCreateLibrary"
 
 
   if globalParameters["MergeFiles"]:
Index: Tensile-rocm-4.3.0/Tensile/GenerateSummations.py
===================================================================
--- Tensile-rocm-4.3.0.orig/Tensile/GenerateSummations.py
+++ Tensile-rocm-4.3.0/Tensile/GenerateSummations.py
@@ -57,7 +57,7 @@ def createLibraryForBenchmark(logicPath,
     Selection.
     """
 
-    pythonExePath = os.path.join(os.path.dirname(os.path.realpath(__file__)), "bin", "TensileCreateLibrary")
+    pythonExePath = "TensileCreateLibrary"
     args = [pythonExePath, \
         "--merge-files", "--no-legacy-components", \
         "--new-client-only", "--no-short-file-names", "--no-library-print-debug", "--architecture=all", \
